%global srcname mapnik

%global commit db7c1fdb2e970bdc93ab439119465fa5c0df3a07
%global shortcommit %(c=%{commit}; echo ${c:0:7})

%global testcommit 3f15d11635fff10cc4d552629a8195158ba92c3e
%global visualcommit 972b039bfc5a5e189f68852c22df717a30c1adf7

Name:           python-%{srcname}
Version:        0.1
Release:        6.20151209git%{shortcommit}%{?dist}
Summary:        Python bindings for Mapnik

License:        LGPLv2+
URL:            https://github.com/mapnik/python-mapnik
Source0:        https://github.com/mapnik/python-mapnik/archive/%{commit}/%{name}-%{commit}.tar.gz
Source1:        https://github.com/mapnik/test-data/archive/%{testcommit}/test-data-%{testcommit}.tar.gz
Source2:        https://github.com/mapnik/test-data-visual/archive/%{visualcommit}/test-data-visual-%{visualcommit}.tar.gz
# Stop setup.py trying to fiddle with compiler flags
Patch0:         python-mapnik-flags.patch
# Allow more variation in comparisons
Patch1:         python-mapnik-precision.patch
# Remove test that relies on WKT data missing from Fedora's gdal
Patch2:         python-mapnik-gdal.patch
# https://github.com/mapnik/python-mapnik/pull/79
Patch3:         python-mapnik-register.patch

BuildRequires:  python2-devel python3-devel
BuildRequires:  python2-nose python3-nose

BuildRequires:  git-core
BuildRequires:  mapnik-devel mapnik-static mapnik-utils
BuildRequires:  boost-devel boost-python3-devel
BuildRequires:  pycairo-devel pycairo python3-cairo
BuildRequires:  postgresql-server postgis

%description
%{summary}.


%package -n python2-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{srcname}}

Provides:       mapnik-python = 1:%{version}-%{release}
Obsoletes:      mapnik-python < 0:2.2.1-0.12

%description -n python2-%{srcname}
%{summary}.


%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%{summary}.


%prep
%autosetup -S git -n %{name}-%{commit}
tar --directory=test/data --strip-components=1 --gunzip --extract --file=%{SOURCE1} 
tar --directory=test/data-visual --strip-components=1 --gunzip --extract --file=%{SOURCE2} 


%build
export PYCAIRO=true
%py2_build
%py3_build


%install
%py2_install
%py3_install


%ifnarch armv7hl
%check
# start a postgres instance for the tests to use
pg_ctl initdb -D pg_data -o "-A ident -E utf8"
pg_ctl start -w -D pg_data -l pg_log -o "-h '' -k $PWD"
createdb -h $PWD template_postgis
psql -h $PWD -c "CREATE EXTENSION postgis" template_postgis
# run the tests
PGHOST="$PWD" LANG="en_US.utf8" %{__python2} setup.py test
PGHOST="$PWD" LANG="en_US.utf8" %{__python3} setup.py test
# stop the postgres instance
pg_ctl stop -D pg_data
%endif


%files -n python2-%{srcname}
%{!?_licensedir:%global license %doc}
%doc README.md AUTHORS.md CHANGELOG.md CONTRIBUTING.md
%license COPYING
%{python2_sitearch}/*


%files -n python3-%{srcname}
%{!?_licensedir:%global license %doc}
%doc README.md AUTHORS.md CHANGELOG.md CONTRIBUTING.md
%license COPYING
%{python3_sitearch}/*


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-6.20151209gitdb7c1fd
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jan 24 2016 Tom Hughes <tom@compton.nu> - 0.1-5.20151209gitdb7c1fd
- Update to new snapshot
- Patch some boost 1.60.0 issues

* Fri Jan 22 2016 Tom Hughes <tom@compton.nu> - 0.1-5.20151209gitf81d5f8
- Rebuild for boost 1.60.0

* Wed Dec  9 2015 Tom Hughes <tom@compton.nu> - 0.1-4.20151209gitf81d5f8
- Update to new snapshot with license fix
- Bump epoch on mapnik-python provide
- Patch out setting of rpath
- Update to latest test data

* Sun Dec  6 2015 Tom Hughes <tom@compton.nu> - 0.1-3.20151127gitfae6388
- Update to new upstream snapshot

* Wed Dec  2 2015 Tom Hughes <tom@compton.nu> - 0.1-2.20151125gitff364e1
- Provide a postgres instance for the tests
- Enable cairo support

* Mon Nov 30 2015 Tom Hughes <tom@compton.nu> - 0.1-1.20151125gitff364e1
- Rebuild against mapnik 3.0.9

* Wed Nov 25 2015 Tom Hughes <tom@compton.nu> - 0-0.1.20151125gitff364e1
- Initial build
